/**
 * <copyright>
 * </copyright>
 *
 * $Id: CustomCalendarValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.management.warehouseprocess.events.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.management.warehouseprocess.events.CustomCalendarEvent;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseprocess.events.CustomCalendar}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CustomCalendarValidator {
	boolean validate();

	boolean validateCustomCalendarEvent(EList<CustomCalendarEvent> value);
}
